Linux Foundation Gains New Cloud, Open Hardware and Gaming Members
================================================================================
> Cloudius Systems, HSA Foundation and Valve have become the newest members of the Linux Foundation, bringing strengths in the open source cloud, open-standard hardware and gaming.

Cloud computing, open-standard hardware and gaming: These are all areas in which the [Linux Foundation][1] has recently forged important new connections, announcing the addition of [Cloudius Systems][2], [HSA Foundation][3] and [Valve Software][4] as the newest members of the organization. Together, these collaborations highlight the continuing dynamism of the open source world, and provide hints into where it is headed next.

The Linux Foundation, a non-profit consortium that promotes the interests of [Linux][6] and related open source projects, detailed the signing-on of these three companies in an [announcement][5] that highlighted the particular strengths they stand to contribute to the open source ecosystem.

First, Cloudius Systems will help to advance the open source cloud. Its major product is [OSv][7], a sleek operating system that the company recently introduced and designed specifically for the cloud. Interestingly, OSv—which runs as a guest virtual machine on top of the open source [KVM][8] and [Xen][9] hypervisors—could be considered a competitor with Linux, which forms the basis for many other cloud-oriented virtualization platforms. But Cloudious's entry into the Linux Foundation is a sign that the future of the open cloud is about more than Linux itself, and that open source innovators recognize that the Linux kernel, which was built for desktops and servers, can only go so far in the cloud.

Meanwhile, the non-profit HSA Foundation aims to advance open hardware standards—a key interest for open source developers whether they focus on desktops, servers, the cloud or mobile. Lack of hardware compatibility due to proprietary, undocumented standards has been a thorn in Linux's side from day one, and investing in collaboration to help overcome that barrier is in the interest of virtually everyone within the open source ecosystem.

Last but not least, Valve, which develops the popular [Steam][10] platform for cloud-based games and other content, injects the Linux world with new energy in the gaming realm, an area that has traditionally been very unwelcoming to Linux users. Valve could be on the forefront of a major shift in open source entertainment that will use the power of the cloud to bring Linux into the mainstream fold—while also promoting Linux as the basis for specialized gaming hardware such as Valve's [Steam Machines][11], home gaming devices that run on Linux.

--------------------------------------------------------------------------------

via: http://thevarguy.com/open-source-application-software-companies/linux-foundation-gains-new-cloud-open-hardware-and-gaming

译者：[译者ID](https://github.com/译者ID) 校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:http://linuxfoundation.org/
[2]:http://www.cloudius-systems.com/
[3]:http://hsafoundation.com/
[4]:http://www.valvesoftware.com/
[5]:http://www.linuxfoundation.org/news-media/announcements/2013/12/cloudius-systems-hsa-foundation-and-valve-join-linux-foundation
[6]:http://kernel.org/
[7]:https://github.com/cloudius-systems/osv
[8]:http://www.linux-kvm.org/page/Main_Page
[9]:http://www.xenproject.org/
[10]:http://store.steampowered.com/
[11]:http://store.steampowered.com/livingroom/SteamMachines/